Package org.h2.mvstore.cache

# Class FilePathCache

java.lang.Object
org.h2.store.fs.FilePath
org.h2.store.fs.FilePathWrapper
org.h2.mvstore.cache.FilePathCache

public class FilePathCache extends FilePathWrapper
A file with a read cache.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FilePathCache.FileCache`
A file with a read cache.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FilePathCache`
`INSTANCE`
The instance.

### Fields inherited from class org.h2.store.fs.FilePath

`name`

## Constructor Summary

Constructors
Constructor
Description
`FilePathCache()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getScheme()`
Get the scheme (prefix) for this file provider.
`FileChannel`
`open(String mode)`
Open a random access file object.
`static FileChannel`
`wrap(FileChannel f)`

### Methods inherited from class org.h2.store.fs.FilePathWrapper

`canWrite, createDirectory, createFile, createTempFile, delete, exists, getBase, getParent, getPath, getPrefix, isAbsolute, isDirectory, isRegularFile, lastModified, moveTo, newDirectoryStream, newInputStream, newOutputStream, setReadOnly, size, toRealPath, unwrap, unwrap, wrap`

### Methods inherited from class org.h2.store.fs.FilePath

`get, getName, newFileChannelOutputStream, register, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final FilePathCache INSTANCE
The instance.

## Constructor Details

### FilePathCache

public FilePathCache()

## Method Details

### wrap

public static FileChannel wrap(FileChannel f)

### open

public FileChannel open(String mode) throws IOException
Description copied from class: `FilePath`
Open a random access file object.

Overrides:
  `open` in class `FilePathWrapper`
Parameters:
  `mode` - the access mode. Supported are r, rw, rws, rwd
Returns:
  the file object
Throws:
  `IOException` - If an I/O error occurs

### getScheme

public String getScheme()
Description copied from class: `FilePath`
Get the scheme (prefix) for this file provider. This is similar to `java.nio.file.spi.FileSystemProvider.getScheme`.

Specified by:
  `getScheme` in class `FilePath`
Returns:
  the scheme